/*
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import org.xtext.example.methodname.MethodNameRuntimeModule;
import org.xtext.example.methodname.MethodNameStandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class MethodNameIdeSetup extends MethodNameStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new MethodNameRuntimeModule(), new MethodNameIdeModule()));
	}
	
}
